Bug 855783 - improve error message for secret-get-value
improve error message for secret-get-value
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 05:32 EDT by zhaoxin
Modified: 2013-02-21 02:23 EST (History)
7 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:23:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhaoxin 2012-09-10 05:32:37 EDT
Description of problem:
improve error message for secret-get-value

Version-Release number of selected component (if applicable):
libvirt: libvirt-0.10.1-1.el6
qemu-kvm: qemu-kvm-0.12.1.2-2.307.el6
kernel: kernel-2.6.32-298.el6

How reproducible:
100%

Steps to Reproduce:
1.prepare a secret.xml
<secret ephemeral='no' private='yes'>
 <description>LUKS passphrase for the main hard drive of our mail server</description>
  <usage type='volume'>
   <volume>/var/lib/libvirt/images/rhel6.img</volume>
  </usage>
</secret>
2.# virsh secret-define secret.xml 
  UUID                                 Usage
  -----------------------------------------------------------
  aafc12ce-e705-2e26-5347-e0922dabc7f1 Volume /var/lib/libvirt/images/rhel6.3.img

3.# virsh secret-set-value aafc12ce-e705-2e26-5347-e0922dabc7f1 12332112
  Secret value set

4.# virsh secret-get-value aafc12ce-e705-2e26-5347-e0922dabc7f1
  error: operation secret is private forbidden for read only access
  
Actual results:
wrong error message shown

Expected results:
from the above command, we are not under readonly mode . So we should not get error message for read only access.

Additional info:
Comment 2 Martin Kletzander 2012-09-18 11:08:20 EDT
Moving to POST:

commit 54106114a4b2b0261fedc9235e986656d61d80ef
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Tue Sep 18 12:01:46 2012 +0200

    secret: Fix error for private secrets
Comment 3 hongming 2012-09-25 02:40:23 EDT
Verify it as follows.The result is expected. Move its status to VERIFIED.

Versions
libvirt-0.10.2-1.el6.x86_64
qemu-kvm-0.12.1.2-2.310.el6.x86_64


Steps

# virsh secret-set-value 9b78daec-7f6f-10f5-fa0d-4a42070e3ede 12332112
Secret value set


# virsh secret-get-value 9b78daec-7f6f-10f5-fa0d-4a42070e3ede
error: Invalid secret: secret is private
Comment 5 errata-xmlrpc 2013-02-21 02:23:23 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.